/*
 * Copyright (C) 2020 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <cstdlib>
#include <iostream>

#include "derive_sdk.h"

#define MOUNTPOINT "/apex"

int main(int argc, char** argv) {
  if (argc > 1 && !strcmp("--header", argv[1])) {
    return android::derivesdk::PrintHeader() ? EXIT_SUCCESS : EXIT_FAILURE;
  } else if (argc > 1 && !strcmp("--dump", argv[1])) {
    return android::derivesdk::PrintDump(MOUNTPOINT, std::cout) ? EXIT_SUCCESS : EXIT_FAILURE;
  } else {
    return android::derivesdk::SetSdkLevels(MOUNTPOINT) ? EXIT_SUCCESS : EXIT_FAILURE;
  }
}
